
/** 
	Send Array 
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param RecipientNumber Send SMS to this numbers
	@param Message Text of your SMS
	@param SpecialNumber Your Special number ,send sms from this number
	@param IsFlash True/False
	@param CheckingMessageID Your local ID for message
	@return MessageID for each SMS
*/
public final long[] SendArray(int WSID, String UserName, String Password, String Domain, String[] RecipientNumber, String Message, String SpecialNumber, boolean IsFlash, long[] CheckingMessageID)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.SendArray(WSID, UserName, Password, Domain, RecipientNumber, Message, SpecialNumber, IsFlash, CheckingMessageID);
	}
    catch (RuntimeException ex){}
}

/** 
	Send Array Schedule
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param RecipientNumber Send SMS to this numbers
	@param Message Text of your SMS
	@param SpecialNumber
	@param IsFlash True/False
	@param Year int
	@param Month int
	@param Day int
	@param Hour int
	@param Minute int
	@return MessageID
*/
public final long SendArraySchedule(int WSID, String UserName, String Password, String Domain, String[] RecipientNumber, String Message, String SpecialNumber, boolean IsFlash, int Year, int Month, int Day, int Hour, int Minute)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.SendArraySchedule(WSID, UserName, Password, Domain, RecipientNumber, Message, SpecialNumber, IsFlash, Year, Month, Day, Hour, Minute);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Message ID
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param CheckingMessageID Your local ID for message
	@return MessageIDs
*/
public final long[] GetMessageID(int WSID, String UserName, String Password, String Domain, long[] CheckingMessageID)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.GetMessageID(WSID, UserName, Password, Domain, CheckingMessageID);
	}
    catch (RuntimeException ex){}
}


/** 
	Get Message Status
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param MessageID long[] MessageIDs
	@return 
*/
public final long[] GetMessageStatus(int WSID, String UserName, String Password, String Domain, long[] MessageID)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.GetMessageStatus(WSID, UserName, Password, Domain, MessageID);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Number Group Data
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@return NumberGroupItem
*/
public final SoapWebService.NumberGroupItem[] GetNumberGroupData(int WSID, String UserName, String Password, String Domain)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.GetNumberGroupData(WSID, UserName, Password, Domain);
	}
    catch (RuntimeException ex){}
}

/** 
	Send To Group Number
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param NumberGroupID long[] GroupIDs
	@param Message Text of your SMS
	@param SpecialNumber Your Special number ,send sms from this number
	@param IsFlash True/False
	@param DontSendToRepeatedNumber True/False
	@return SendID for Send To Group
*/
public final long SendNumberGroup(int WSID, String UserName, String Password, String Domain, long[] NumberGroupID, String Message, String SpecialNumber, boolean IsFlash, boolean DontSendToRepeatedNumber)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.SendNumberGroup(WSID, UserName, Password, Domain, NumberGroupID, Message, SpecialNumber, IsFlash, DontSendToRepeatedNumber);
	}
    catch (RuntimeException ex){}
}

/** 
	Send Number Group Schedule
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param NumberGroupID long[] GroupIDs
	@param Message Text of your SMS
	@param SpecialNumber Your Special number ,send sms from this number
	@param IsFlash True/False
	@param DontSendToRepeatedNumber True/False
	@param Year int
	@param Month int
	@param Day int
	@param Hour int
	@param Minute int
	@return SendID for Send To Group
*/
public final long SendNumberGroupSchedule(int WSID, String UserName, String Password, String Domain, long[] NumberGroupID, String Message, String SpecialNumber, boolean IsFlash, boolean DontSendToRepeatedNumber, int Year, int Month, int Day, int Hour, int Minute)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.SendNumberGroupSchedule(WSID, UserName, Password, Domain, NumberGroupID, Message, SpecialNumber, IsFlash, DontSendToRepeatedNumber, Year, Month, Day, Hour, Minute);
	}
    catch (RuntimeException ex){}
}

/** 
	Insert Number To PhoneBook
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param NumberGroupID long GroupID
	@param PersonNumber Array of String 
	@param PersonName Array of String 
	@return Array of long 
*/
public final long[] InsertNumberInNumberGroup(int WSID, String UserName, String Password, String Domain, long NumberGroupID, String[] PersonNumber, String[] PersonName)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.InsertNumberInNumberGroup(WSID, UserName, Password, Domain, NumberGroupID, PersonNumber, PersonName);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Inbox Message
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param NumberOfMessage Int Number of message
	@return InboxItem
*/
public final SoapWebService.InboxItem[] GetInboxMessage(int WSID, String UserName, String Password, String Domain, int NumberOfMessage)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.GetInboxMessage(WSID, UserName, Password, Domain, NumberOfMessage);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Inbox Message With SpecialNumber
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param NumberOfMessage Int Number of message
	@param SpecialNumber Your Special number ,send sms from this number
	@return InboxItem
*/
public final SoapWebService.InboxItem[] GetInboxMessageWithNumber(int WSID, String UserName, String Password, String Domain, int NumberOfMessage, String SpecialNumber)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.GetInboxMessageWithNumber(WSID, UserName, Password, Domain, NumberOfMessage, SpecialNumber);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Inbox Message With Last InboxID
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@param NumberOfMessage int
	@param InboxID int
	@param IsReaded True/False
	@return ResultInbox
*/
public final SoapWebService.ResultInbox GetInboxMessageWithInboxID(int WSID, String UserName, String Password, String Domain, int NumberOfMessage, int InboxID, boolean IsReaded)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.GetInboxMessageWithInboxID(WSID, UserName, Password, Domain, NumberOfMessage, InboxID, IsReaded);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Account Credit
		 
	@param WSID int
	@param UserName String
	@param Password String
	@param Domain String
	@return long Credit
*/
public final long GetCredit(int WSID, String UserName, String Password, String Domain)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.GetCredit(WSID, UserName, Password, Domain);
	}
    catch (RuntimeException ex){}
}

/** 
	Get User Info
		 
	@param UserName String
	@param Password String
	@return ProfileInfo
*/
public final SoapWebService.ProfileInfo GetUserInfo(int WSID, String UserName, String Password, String Domain)
{
	try (SoapWebService.SOAPWebService SMSService = new SoapWebService.SOAPWebService())
	{
		return SMSService.GetUserInfo(WSID, UserName, Password, Domain);
	}
    catch (RuntimeException ex){}
}
